title: BitBucket
file_name: bitbucket
single_tool_data:
  single_tool: true
  single_tool_category: source-code-management
logo: /images/comparisons/Bitbucket-logo.svg
manage:
  Project-level permissioning: 0
  Role-based Access Control: 0
  Self-service onboarding: 0
  Audit reporting: 0
  Group-level permissioning: 0
  Data export: 0
  2FA: 0
  Operational DevOps metrics: 0
  Custom issue analytics: 0
  Value stream management: 0
  Compliance framework enforcement: 0
  DevOps Adoption reorts: 0
  Audit logging: 0
  Data import: 0
  LDAP/AD integration: 0
plan:
  Sprint planning: 0
  Capacity planning: 0
  Workflow Management: 0
  Global Search: 0
  Design Management: 0
  Extensibility: 0
  Issue Management: 0
  Enterprise readiness: 0
  Operational Metrics / Value Stream: 0
  Boards: 0
  Enterprise Framework Support: 0
  Requirements Management: 0
  Roadmaps: 0
  Cost Tracking & Estimation: 0
  Work Item Relationships: 0
  End-to-end visibility / traceability: 0
source-code-management:
  Change Approvals: 2
  Protected branches: 0
  Mirroring: 0
  Project and File Templates: 0
  "Scalable, Fault-Tolerant Git Storage": 0
  Git LFS: 0
  Code Review: 1
  Commit Graphs: 0
  Push Rules: 0
  Live Preview: 0
  Git-Based SCM: 1
  Snippets: 0
  Signed Commits: 0
  Partial Clone: 0
  Web IDE: 2
continuous-integration:
  Integration testing: 0
  Pipeline visualization: 0
  Compliance and audit controls: 0
  Enterprise readiness: 0
  Build parallelization: 0
  "Linters, scanners, and syntax validation included": 0
  Dynamic pipelines: 0
  Configuration-as-code: 0
  Unit testing and static code analysis: 0
  Pipeline status logs and analytics for reporting: 0
  Embedded security scans in CI pipeline: 0
  CI pipeline templates: 0
  Multi-cloud w/ cloud native support: 0
  "SaaS, On-prem, and hybrid installation": 0
  Load and performance testing: 0
  Ease of use/setup: 0
  Pipeline scheduling and monitoring: 0
package:
  Searchable artifacts: 0
  Dependency scanning: 0
  "Top package formats supported (npm, maven, pyi, etc.)": 0
  Storage management: 0
  Enterprise readiness: 0
  Virtual Registry: 0
  Dependency Firewall: 0
  Package Registry: 0
  High Availability: 0
  API: 0
  Container registry: 0
  Geo Replication: 0
  Certified dependencies (or images): 0
secure:
  Vulnerability mgmt: 0
  Dependency Scanning: 0
  Secrets detection: 0
  SBOM (dependency list): 0
  Code Quality: 0
  Compliance dashboard: 0
  SAST: 0
  Container Scanning: 0
  MR approvals: 0
  License Compliance: 0
  compliance frameworks: 0
  API fuzz test: 0
  DAST: 0
  Vulnerability database: 0
  coverage guided fuzz testing: 0
continuous-delivery:
  Deployment pipeline visualization: 0
  incremental roll-out: 0
  "Support for traditional deployment targets - physical, virtual machines, mainframes": 0
  Roll back: 0
  "DORA metrics (Mean time for changes, MTTR, Change Failure Rate, Deployment Frequency)": 0
  Canary deployment: 0
  Static Site Hosting: 0
  Environments dashboard: 0
  Blue-green deployment: 0
  MR approvals: 0
  Feature flags: 0
  Release versioning and evidence: 0
  Support for cloud native deployment targets: 0
  Runbooks: 0
configure:
  Infrastructure/ Config/ Policies etc as code: 0
  Integration with IaC tools like Terraform: 0
  "Configure physical, virtual, cloud infrastructures": 0
  Configure cloud native environments: 0
  Detect and remediate configuration drift: 0
  Secure Kubernetes Integration: 0
  Push and Pull actions: 0
monitor:
  Synthetic monitoring: 0
  Log monitoring: 0
  Distributed Tracing: 0
  Load performance testing: 0
  Alert Management: 0
  Application performance monitoring: 0
  Integrations with established incident management tools: 0
  Digital experience monitoring (real user monitoring): 0
  Incident Management: 0
  Automated discovery & mapping: 0
  Infrastructure Performance monitoring: 0
  Mobile Performance Monitoring: 0
protect:
  "container host security:": 0
  container network security: 0
  container scanning: 0
  security orchestration (runtime policies): 0
